Update Quote
1 min
PUT
https://api.upstartcommerce.com/v1/quote/{quoteId}
Path Parameters
- quoteIdinteger<int64>requiredDescriptionFormatint64
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Body Parameters
- bodyQuoteUpdateRequestrequiredDescription
- objectBaseQuote
- customerCustomerrequired
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- emailstring<email>Formatemail
- shippingAddressAddressDescription
- street1stringrequired
- street2string
- citystringrequired
- countystring
- stateOrRegionstringrequired
- countrystringrequiredDescriptionMin Length2Max Length2
- postalCodestringrequired
- poBoxboolean
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- businessNamestring
- phoneNumberstring
- salesAssociateSalesAssociaterequired
- idstringrequired
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- currencystringrequired
- itemsQuoteItem[]required
- catalogItemIdstring
- skuIdSkuIdrequired
- targetItemIdsSkuId[]Description
- quantityintegerrequired
- pricingQuoteItemPrice
- typestring
- zonestring
- pricestring
- listPricestring
- inStorePickUpbooleanDescriptionDefaultfalse
- validationMessagesQuoteValidationMessage[]Description
- detailstringDescription
- levelQuoteValidationMessageLevelrequired
- messagestringDescription
- codeQuoteValidationMessageCoderequiredDescription
- storeLocationIdstringrequiredDescription
Responses
200
- Quote
- objectBaseQuote
- customerCustomerrequired
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- emailstring<email>Formatemail
- shippingAddressAddressDescription
- street1stringrequired
- street2string
- citystringrequired
- countystring
- stateOrRegionstringrequired
- countrystringrequiredDescriptionMin Length2Max Length2
- postalCodestringrequired
- poBoxboolean
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- businessNamestring
- phoneNumberstring
- salesAssociateSalesAssociaterequired
- idstringrequired
- nameName
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- currencystringrequired
- itemsQuoteItem[]required
- catalogItemIdstring
- skuIdSkuIdrequired
- targetItemIdsSkuId[]Description
- quantityintegerrequired
- pricingQuoteItemPrice
- typestring
- zonestring
- pricestring
- listPricestring
- inStorePickUpbooleanDescriptionDefaultfalse
- validationMessagesQuoteValidationMessage[]Description
- detailstringDescription
- levelQuoteValidationMessageLevelrequired
- messagestringDescription
- codeQuoteValidationMessageCoderequiredDescription
- storeLocationIdstringrequiredDescription
- object
- idinteger<int64>requiredDescriptionFormatint64
- siteIdSiteIdrequired
- createdAtstring<date-time>requiredFormatdate-time
- expiresAtstring<date>Formatdate
- externalIdstringrequiredDescription
- archivedItemsstring[]requiredDescriptionDefault
400
- ValidationErrorResponse
- namestringrequired
- codestringrequired
- detailstring
401
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
403
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponse
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request PUT \
--url https://api.upstartcommerce.com/v1/quote/{quoteId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"customer": {
"name": {
"first": "John",
"last": "Smith"
},
"shippingAddress": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
}
},
"salesAssociate": {
"id": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"currency": "",
"items": [
{
"skuId": "",
"quantity": "",
"validationMessages": [
{
"level": "",
"code": ""
}
]
}
],
"storeLocationId": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"customer": {
"name": {
"first": "John",
"last": "Smith"
},
"shippingAddress": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
}
},
"salesAssociate": {
"id": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"currency": "",
"items": [
{
"skuId": "",
"quantity": "",
"validationMessages": [
{
"level": "",
"code": ""
}
]
}
],
"storeLocationId": ""
});
var requestOptions = {
method: 'PUT',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/quote/{quoteId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/quote/{quoteId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"customer": {
"name": {
"first": "John",
"last": "Smith"
},
"shippingAddress": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
}
},
"salesAssociate": {
"id": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"currency": "",
"items": [
{
"skuId": "",
"quantity": "",
"validationMessages": [
{
"level": "",
"code": ""
}
]
}
],
"storeLocationId": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/quote/{quoteId}"
payload = json.dumps({
"customer": {
"name": {
"first": "John",
"last": "Smith"
},
"shippingAddress": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
}
},
"salesAssociate": {
"id": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"currency": "",
"items": [
{
"skuId": "",
"quantity": "",
"validationMessages": [
{
"level": "",
"code": ""
}
]
}
],
"storeLocationId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// Success-quote was updated.
{
"customer": {
"name": {
"first": "John",
"last": "Smith",
"middleInitial": "D.",
"salutation": "Capt.",
"suffix": "Sr."
},
"email": "",
"shippingAddress": {
"street1": "",
"street2": "",
"city": "",
"county": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"poBox": false,
"name": {
"first": "John",
"last": "Smith",
"middleInitial": "D.",
"salutation": "Capt.",
"suffix": "Sr."
},
"businessName": "",
"phoneNumber": ""
}
},
"salesAssociate": {
"id": "",
"name": {
"first": "John",
"last": "Smith",
"middleInitial": "D.",
"salutation": "Capt.",
"suffix": "Sr."
}
},
"currency": "",
"items": [
{
"catalogItemId": "",
"skuId": "",
"targetItemIds": [
""
],
"quantity": 0,
"pricing": {
"type": "",
"zone": "",
"price": "",
"listPrice": ""
},
"inStorePickUp": false,
"validationMessages": [
{
"detail": "",
"level": "",
"message": "",
"code": ""
}
]
}
],
"storeLocationId": "",
"id": "",
"siteId": "",
"createdAt": "",
"expiresAt": "",
"externalId": "",
"archivedItems": [
""
]
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}403
// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}